Draft: Impostare il piano di lavoro

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft SelectPlane and the translation is 96% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft Stretch.svg Stira Pagina precedente:
Pagina successiva: Terminare la linea Draft FinishLine.svg Arrow-right.svg

Draft SelectPlane.svg Seleziona il piano

Nome nel codice
Draft SelectPlane
Posizione nel menu
Draft → Utilità → Seleziona il piano
Ambiente
Draft, Architettura
Avvio veloce
W P
Introdotto nella versione
-
Vedere anche
Piano proxy, Mostra la griglia


Descrizione

Il modulo Draft dispone di un sistema di Piani di lavoro, questo consente di specificare un piano personalizzato nello spazio 3D nel quale viene eseguito il comando successivo di Draft.

Esistono diversi metodi per definire il piano di lavoro:

  • Da una faccia selezionata
  • Da tre vertici selezionati
  • Dalla vista corrente.
  • Da una preimpostazione: dall'altoe, anteriore o laterale.
  • Nessuna, nel qual caso il piano di lavoro viene adattato automaticamente alla vista corrente quando si avvia un comando o a una faccia se si inizia a disegnare su una faccia esistente.

WorkingPlane example.png

È possibile impostare diversi piani di lavoro su cui disegnare forme


Utilizzo

Il pulsante Draft SelectPlane.svg Seleziona il piano è presente nella barra di Draft, che appare solo in Draft e in Arch.

Senza elemento selezionato

  1. Premere il pulsante Draft SelectPlane.svg Seleziona il piano, o usare DraftUtilitàDraft SelectPlane.svg Seleziona il piano dal menu principale, o la scorciatoia W P.
  2. Selezionare l'offset, la spaziatura della griglia e delle linee principali
  3. Selezionare uno dei preset: View-top.svg XY (dall'alto), View-front.svg XZ (frontale), View-right.svg YZ (laterale), View-isometric.svg Vista, o View-axonometric.svg Auto.

Una volta impostato il piano, il pulsante cambia e indica il piano attivo Draft SelectPlane.png Top, Draft SelectPlane.svg Front, Draft SelectPlane.svg Side, Draft SelectPlane.svg Auto, Draft SelectPlane.svg d(0.0,-1.0,0.0).

Si può mostrare o nascondere la griglia con la scorciatoia G R.

Con elemento selezionato

  1. Selezionare una faccia di un oggetto esistente nella vista 3D o tenere premuto Ctrl e selezionare tre vertici di qualsiasi oggetto. Disponibile dalla versione 0.17
  2. Premere il pulsante Draft SelectPlane.svg Seleziona il piano, oppure fare clic con il tasto destro e selezionare Utilità → Draft SelectPlane.svg Seleziona il piano.

Il piano viene creato allineato alla faccia dell'oggetto o al piano definito dai tre vertici.

Opzioni

  • Premere il pulsante View-top.svg XY (dall'alto) per impostare il piano di lavoro sul piano XY. Per disegnare facilmente su questo piano, è necessario impostare la vista dall'alto o dal basso (la normale è nella direzione Z positiva o negativa). Premere 2 o 5 per passare rapidamente a queste viste.
  • Premere il pulsante View-front.svg XZ (frontale) per impostare il piano di lavoro sul piano XZ. Per disegnare facilmente su questo piano, è necessario impostare la vista anteriore o posteriore (la normale è nella direzione Y negativa o positiva). Premere 1 o 4 per passare rapidamente a queste viste.
  • Premere il pulsante View-right.svg YZ (laterale) per impostare il piano di lavoro sul piano YZ. Per disegnare facilmente su questo piano, è necessario impostare la vista sul lato sinistro o destro (la normale è nella direzione X positiva o negativa). Premere 3 o 6 per passare rapidamente a queste viste.
  • Premere il pulsante View-isometric.svg Vista per impostare il piano di lavoro sulla vista 3D corrente, perpendicolare all'asse della telecamera e passante attraverso l'origine (0,0,0).
  • Premere il pulsante View-axonometric.svg Auto per annullare l'impostazione di qualsiasi piano di lavoro corrente e impostare automaticamente un piano di lavoro quando viene utilizzato uno strumento. Quando viene selezionato uno strumento di disegno, la griglia verrà automaticamente aggiornata alla vista corrente; quindi, se la vista viene ruotata e viene selezionato un altro strumento, la griglia viene ridisegnata nella nuova vista. Questo equivale a premere automaticamente View-isometric.svg Vista prima di usare uno strumento.
  • Impostare il valore "Offset" per impostare il piano di lavoro a una certa distanza perpendicolare dal piano selezionato.
  • Impostare il valore "Spaziatura griglia" per definire lo spazio tra ciascuna linea nella griglia.
  • Impostare il valore "Linea principale ogni" per tracciare una linea leggermente più spessa nella griglia al valore impostato. Ad esempio, se la spaziatura della griglia è di 0,5 m, e c'è una linea principale ogni 20 linee, ci sarà una linea leggermente più spessa ogni 10 m.
  • Fare clic sulla casella di controllo "Centra il piano nella vista" per disegnare il piano e la griglia più vicino alla vista della telecamera nella vista 3D.
  • Premere Esc o il pulsante Chiudi per interrompere il comando corrente.

Script

Vedere anche: Draft API e Script di base per FreeCAD. Vedere le WorkingPlane API.

Gli oggetti Piani di lavoro possono essere facilmente creati e manipolati negli script e nelle macro e dalla console Python

È possibile accedere al corrente piano di lavoro di Draft e applicare delle trasformazioni:

import FreeCAD as App
import FreeCADGui as Gui

workplane = App.DraftWorkingPlane

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()

workplane.alignToPointAndAxis(v1, v2, 17)
Gui.Snapper.toggleGrid()
Gui.Snapper.toggleGrid()

Per aggiornare la vista della griglia dopo aver modificato il piano di lavoro si deve eseguire un comando Draft, per esempio, Linea, o semplicemente Attiva/disattiva la griglia.

È possibile creare un proprio piano e utilizzarlo indipendentemente dal piano di lavoro corrente di Draft. Ciò è utile se è necessario eseguire calcoli o proiezioni in questi altri piani.

import WorkingPlane

my_plane = WorkingPlane.plane()

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()
my_plane.alignToPointAndAxis(v1, v2, 17)

projection = my_plane.projectPoint(App.Vector(10, 15, 2))
print(projection)

Per visualizzare una nuova griglia utilizzare un nuovo oggetto tracker. Innanzitutto impostare il normale piano di lavoro di cui si ha bisogno, poi creare un nuovo oggetto tracker, quindi impostarlo sul piano corrente, poi si può attivarlo o disattivarlo.

import FreeCAD as App
import DraftTrackers

App.DraftWorkingPlane.alignToPointAndAxis(App.Vector(0, 0, 0),
                                          App.Vector(1, 0, 0),
                                          0)

my_grid = DraftTrackers.gridTracker()
my_grid.set()
my_grid.on()
my_grid.off()

Questa griglia è semplicemente un aiuto visivo e non consente lo snap.

Per avere la possibilità di passare rapidamente a griglie diverse, in posizioni diverse, è necessario creare un Draft SetWorkingPlaneProxy.svg Piano di lavoro proxy.

Arrow-left.svg Draft Stretch.svg Stira Pagina precedente:
Pagina successiva: Terminare la linea Draft FinishLine.svg Arrow-right.svg